Bug 25751 - When an ORDERED suggestion is edited, the status resets to "No status"
Summary: When an ORDERED suggestion is edited, the status resets to "No status"
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-15 13:39 UTC by Katrin Fischer
Modified: 2020-09-20 18:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04, 19.11.10


Attachments
Bug 25751: Add ORDERED in dropdown list of suggestion's statuses (2.74 KB, patch)
2020-06-16 13:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25751: Add ORDERED in dropdown list of suggestion's statuses (2.80 KB, patch)
2020-08-06 14:15 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25751: Add ORDERED in dropdown list of suggestion's statuses (3.51 KB, patch)
2020-08-15 07:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-06-15 13:39:38 UTC
The status "ORDERED" is missing from the pull down list of status values when editing a suggestion, so the first option is selected "No status".

This leads to data loss when editing a suggestion in the status "ORDERED". Worse: the status can't be reset to "ORDERED" and so no AVAILABLE notice can be sent to the patron.
Comment 1 Jonathan Druart 2020-06-16 13:43:42 UTC
Should we let the ability to modify the status if it's ordered?
Comment 2 Jonathan Druart 2020-06-16 13:45:20 UTC
Created attachment 105918 [details] [review]
Bug 25751: Add ORDERED in dropdown list of suggestion's statuses
Comment 3 Katrin Fischer 2020-06-17 07:28:51 UTC
As they can do it now (even if unintentionally) I believe it would be safer to keep the beahviour for now.
Comment 4 Jonathan Druart 2020-06-17 07:52:38 UTC
(In reply to Katrin Fischer from comment #3)
> As they can do it now (even if unintentionally) I believe it would be safer
> to keep the beahviour for now.

How can they do that?
Comment 5 Katrin Fischer 2020-06-17 08:09:52 UTC
I meant that you can edit a suggestion in ordered status and select one of the other status values - not sure if this is 'good' but it seems intended?
Comment 6 Jonathan Druart 2020-06-17 08:16:04 UTC
Maybe!

Test plan:
Create a suggestion, accept it, create a new order from this suggestion.
Status is "ORDERED"
Edit the suggestion
=> Without this patch the dropdown list does not have "Ordered", and if you save you lost the status
=> With this patch applied the dropdown list has "Ordered" preselected. You can save and preserve the status.
Comment 7 ByWater Sandboxes 2020-08-06 14:15:43 UTC
Created attachment 107893 [details] [review]
Bug 25751: Add ORDERED in dropdown list of suggestion's statuses

Signed-off-by: Holly Cooper <hc@interleaf.ie>
Comment 8 Katrin Fischer 2020-08-15 07:40:25 UTC
Created attachment 108311 [details] [review]
Bug 25751: Add ORDERED in dropdown list of suggestion's statuses

The status "ORDERED" is missing from the pull down list of
status values when editing a suggestion, so the first
option is selected "No status".

This leads to data loss when editing a suggestion in the
status "ORDERED". Worse: the status can't be reset to
"ORDERED" and so no AVAILABLE notice can be sent to the patron.

Test plan:
- Create a suggestion, accept it, create a new order from this suggestion.
- Verify status is "ORDERED"
- Edit the suggestion
=> Without this patch the dropdown list does not have
   "Ordered", and if you save you lost the status
=> With this patch applied the dropdown list has "Ordered"
   preselected. You can save and preserve the status.

Signed-off-by: Holly Cooper <hc@interleaf.ie>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2020-08-18 15:46:44 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-09-04 14:26:53 UTC
backported to 20.05.x for 20.05.04
Comment 11 Aleisha Amohia 2020-09-09 04:53:53 UTC
backported to 19.11.x for 19.11.10
Comment 12 Victor Grousset/tuxayo 2020-09-20 18:10:12 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.